
Core - Bug # 50752

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: DBAL
Created: 2013-08-03 Assigned To:
Updated: 2014-03-05 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: DBAL needs migration MySQL to MySQLi as well
Description

In 6.1 the migration of core to MySQLi was executed. However the "native" part of dbal still needs to be adjusted as well.

Related issues:
related to Core - Bug # 51458: Fatal error: function query() DatabaseConnecti... Closed 2013-08-28
related to Core - Bug # 43471: dbal used on clean install using mysql Closed 2012-11-29
duplicated by Core - Task # 52881: Move to mysqli for 'native' handler type Closed 2013-10-16

Associated revisions
Revision 25b502be - 2014-03-05 21:57 - Markus Klein

[TASK] MySQLi for DBAL

Properly implement MySQLi for DBAL native mode.

Resolves: #50752
Releases: 6.2
Change-Id: I0c36e7d2828c94cc7c726757f3adc086ffd68015
Reviewed-on: https://review.typo3.org/27875
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-08-03 16:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22791

#2 - 2013-08-05 09:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22791
#3 - 2014-02-02 00:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/22791

#4 - 2014-02-02 02:52 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/22791

#5 - 2014-02-02 10:51 - Stefano Kowalke

I got this error:

PHP Fatal error:  Call to a member function parseFromTables() on a non-object in
typo3/sysext/dbal/Classes/Database/DatabaseConnection.php on line 3128
PHP Stack trace:
PHP   1. {main}() typo3/mod.php:0
PHP   2. require()typo3/mod.php:41
PHP   3. Tx_Phpunit_BackEnd_Module->main()  phpunit/Classes/BackEnd/index.php:86
PHP   4. Tx_Phpunit_BackEnd_Module->renderRunTests()  phpunit/Classes/BackEnd/Module.php:206
PHP   5. Tx_Phpunit_BackEnd_Module->renderRunningTest()  phpunit/Classes/BackEnd/Module.php:288
PHP   6. Tx_Phpunit_BackEnd_Module->runAllTests()  phpunit/Classes/BackEnd/Module.php:593
PHP   7. PHPUnit_Framework_TestSuite->run()  phpunit/Classes/BackEnd/Module.php:831
PHP   8. PHPUnit_Framework_TestSuite->run()  phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:705
PHP   9. PHPUnit_Framework_TestSuite->runTest()  phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:745
PHP  10. PHPUnit_Framework_TestCase->run()  phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:775
PHP  11. PHPUnit_Framework_TestResult->run()  phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:776
PHP  12. PHPUnit_Framework_TestCase->runBare()  phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php:648
PHP  13. TYPO3\CMS\Core\Tests\Functional\DataHandling\InlineRelationalRecordEditing\AbstractTestCase->tearDown() 
phpunit/Composer/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php:863
PHP  14. TYPO3\CMS\Core\Tests\Functional\DataHandling\InlineRelationalRecordEditing\AbstractTestCase->assertNoLogEntries()
typo3/sysext/core/Tests/Functional/DataHandling/InlineRelationalRecordEditing/AbstractTestCase.php:78
PHP  15. TYPO3\CMS\Core\Tests\Functional\DataHandling\InlineRelationalRecordEditing\AbstractTestCase->getLogEntries()
typo3/sysext/core/Tests/Functional/DataHandling/InlineRelationalRecordEditing/AbstractTestCase.php:278
PHP  16. TYPO3\CMS\Core\Database\DatabaseConnection->exec_SELECTgetRows()
typo3/sysext/core/Tests/Functional/DataHandling/InlineRelationalRecordEditing/AbstractTestCase.php:379
PHP  17. TYPO3\CMS\Dbal\Database\DatabaseConnection->exec_SELECTquery()
typo3/sysext/core/Classes/Database/DatabaseConnection.php:372
PHP  18. TYPO3\CMS\Dbal\Database\DatabaseConnection->map_needMapping()
typo3/sysext/dbal/Classes/Database/DatabaseConnection.php:742

#6 - 2014-02-28 01:24 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875
#7 - 2014-02-28 01:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#8 - 2014-03-04 14:06 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#9 - 2014-03-04 15:08 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#10 - 2014-03-04 15:11 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#11 - 2014-03-04 16:09 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#12 - 2014-03-04 16:59 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#13 - 2014-03-05 11:28 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#14 - 2014-03-05 15:55 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875

#15 - 2014-03-05 18:19 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27875
#16 - 2014-03-05 22:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:25b502be998543a54e78b2c91c494c134b8cf809.
